# Class CIM_MemoryOnCard
extends CIM_PackagedComponent

PhysicalMemory can be located on HostingBoards, adapter Cards, etc. This association explicitly defines this relationship of Memory to Cards.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_Container
|
+--CIM_PackagedComponent
|
+--CIM_MemoryOnCard

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Description | string | PhysicalMemory can be located on HostingBoards, adapter Cards, etc. This association explicitly defines this relationship of Memory to Cards.
UMLPackagePath | string | CIM::Physical::Component
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_MemoryOnCard | CIM_Card
PartComponent | CIM_MemoryOnCard | CIM_PhysicalMemory

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
LocationWithinContainer | string | CIM_Container

## Class Methods